For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
              • GETList Coupons
              • POSTCreate Coupon
              • DELDelete All Coupons
              • GETGet Count of Coupons
              • PUTUpdate Coupon
              • DELDelete Coupon
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentMarketingCoupons

Delete All Coupons

DELETE
https://api.bigcommerce.com/stores/:store_hash/v2/coupons
DELETE
/stores/:store_hash/v2/coupons
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v2/coupons \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
## Usage Notes * Deleting a coupon via this endpoint will delete the coupon but not the promotion it is attached to
Was this page helpful?
Previous

Create Coupon

Next

Get Count of Coupons

Built with

Usage Notes

  • Deleting a coupon via this endpoint will delete the coupon but not the promotion it is attached to

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersOptional

Optional param to identify a comma-separated list of IDs for coupons to delete in a batch. /api/v2/coupons?id:in=1,2,3

Response